<?php
namespace Geral\Repositories;

class Endeclie extends \Doctrine\ORM\EntityRepository
{

    public function getEstadoPais($cdcliente, $nrorg) {
        $sql = "SELECT E.CDPAIS, E.SGESTADO, M.CDMUNICIPIO
				  FROM CLIENTE A, ENDECLIE E, MUNICIPIO M
				 WHERE A.CDCLIENTE = :P_CDCLIENTE
				   AND A.NRORG = :P_NRORG
				   AND A.IDCLIEATIV = 'S'
				   AND A.CDCLIENTE = E.CDCLIENTE(+)
				   AND E.CDPAIS = M.CDPAIS(+)
				   AND E.SGESTADO = M.SGESTADO(+)
				   AND E.CDMUNICIPIO  = M.CDMUNICIPIO(+)
				   AND (E.IDTPENDECLIE = 'P' OR E.IDTPENDECLIE IS NULL)";

        $params = array(
            "P_CDCLIENTE" => $cdcliente,
            "P_NRORG" => $nrorg,
        );

        return $this->getEntityManager()->getConnection()->fetchAssoc($sql, $params);
    }

    public function consultaEnderecoCliente($cdCliente) 
    {
        $sql = "SELECT E.CDPAIS, C.IDIDIOMA
                  FROM ENDECLIE E, CLIENTE C
                 WHERE (E.CDCLIENTE = C.CDCLIENTE)
                   AND (E.CDCLIENTE = :CLCLIENTE)
                   AND (E.IDTPENDECLIE = 'P')";

        $params = array( "CLCLIENTE" => $cdCliente);

        try {
            return \Setforms2\Shared\Connection::getInstance()->fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public function getEndeClie($cdcliente){
        $sql = <<<SQL
              SELECT EC.DSENDECLIE , EC.NRCEPCLIE, EC.SGESTADO, EC.NMBAIRCLIE,
                       MU.NMMUNICIPIO, EC.IDTPENDECLIE
                FROM ENDECLIE EC, MUNICIPIO MU
                WHERE (EC.CDCLIENTE    = :P_CDCLIENTE  ) AND
                      (EC.IDTPENDECLIE = (SELECT NVL((SELECT IDTPENDECLIE
                                            FROM ENDECLIE
                                           WHERE CDCLIENTE = :P_CDCLIENTE
                                             AND IDTPENDECLIE = 'C'), 'P') IDTPENDECLIE
                                            FROM DUAL))AND
                      (MU.CDPAIS       = EC.CDPAIS     ) AND
                      (MU.SGESTADO     = EC.SGESTADO   ) AND
                      (MU.CDMUNICIPIO  = EC.CDMUNICIPIO)
SQL;
        $params = array(':P_CDCLIENTE' => $cdcliente);

        return \Setforms2\Shared\Connection::getInstance()->fetchAll($sql, $params);

    }

}